Bug 1289427 - [DOCS] How to configure and view the statistics page for the HAProxy router
[DOCS] How to configure and view the statistics page for the HAProxy router
Status: RELEASE_PENDING
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Michael Burke
Anping Li
Vikram Goyal
3.7-release-plan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 00:14 EST by Jaspreet Kaur
Modified: 2017-11-16 14:05 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaspreet Kaur 2015-12-08 00:14:46 EST
Document URL: https://access.redhat.com/documentation/en/openshift-enterprise/version-3.1/cluster-administration/#viewing-statistics

Section Number and Name: 10.2. Viewing Statistics

Describe the issue: In the above section, It is unclear how can a user view haproxy statistics page via browser. How to expose 1936 port.

Suggestions for improvement: Please describe how to access haproxy status page. The only thing that is mentioned is :  Enter the router’s public IP address and the correctly configured port (1936 by default) to view the statistics page

But how ? it is not described.

Additional information: 

You can refer below article to make thus in docs :

https://access.redhat.com/solutions/2078273

Also, In training section below procedure was described however it doesn't seem to be working. I am not sure if this is complete or not.


https://github.com/openshift/training/blob/master/05-Services-Routing-Complete-Example.md#viewing-router-stats
Comment 1 Vikram Goyal 2017-09-20 01:46:15 EDT
@michael - an old bug. Please verify if this is still an issue in the docs before making changes. If still a problem in 3.6 docs, please apply fix in 3.6 onwards only.
Comment 3 Michael Burke 2017-09-25 15:21:36 EDT
@jaspreet Please take a look:
https://github.com/openshift/openshift-docs/pull/5363
Comment 4 Michael Burke 2017-09-26 22:30:39 EDT
@vikram Can you help with a developer to review the PR?

I asked Jeff Cantrill, who I think is on the same team as Anping, Logging and Metrics, but he said it is not his area.
Comment 5 zhaozhanqi 2017-09-27 00:55:49 EDT
Add comment in the PR https://github.com/openshift/openshift-docs/pull/5363

path /haproxy_stats has been deprecated from 3.6, if you still want to using it, you need to run
`oc env dc router ROUTER_METRICS_TYPE-`
cc@knobunc
Comment 9 Michael Burke 2017-11-16 11:26:34 EST
Vikram --

I merged the original PR to effect 3.4 and 3.5 and created a follow-up to add a step to unset the `ROUTER_METRICS_TYPE-` environment variable and change the URL based on Zhao's c5 and related BZ https://bugzilla.redhat.com/show_bug.cgi?id=1467257

Need confirmation that this is correct. 

https://github.com/openshift/openshift-docs/pull/6396
Comment 10 Michael Burke 2017-11-16 14:05:23 EST
Merged for 3.4 and 3.5 
Follow up pending for 3.6+ https://github.com/openshift/openshift-docs/pull/6396

Note You need to log in before you can comment on or make changes to this bug.